NX Open C++ Reference Guide
|
Represents a GeometricUtilities::ModlMotion. More...
Public Types | |
enum | Delta { DeltaReferenceAcsWorkPart, DeltaReferenceAcsDisplayPart, DeltaReferenceWcsWorkPart, DeltaReferenceWcsDisplayPart } |
Represents the options of Delta XYZ. More... | |
enum | Options { OptionsAlongCurveAngle, OptionsDistanceAngle, OptionsDistance, OptionsAngle, OptionsDistanceBetweenPoints, OptionsRadialDistance, OptionsPointToPoint, OptionsRotateByThreePoints, OptionsAlignAxisVector, OptionsCsysToCsys, OptionsDynamic, OptionsDeltaXyz, OptionsNone } |
Represents the options of Motion. More... | |
Represents a GeometricUtilities::ModlMotion.
Created in NX6.0.0.
Represents the options of Delta XYZ.
Represents the options of Motion.
OptionsAlongCurveAngle |
Move by AlongCurve-Angle. |
OptionsDistanceAngle |
Move by Distance-Angle. |
OptionsDistance |
Move by Distance. |
OptionsAngle |
Move by Angle. |
OptionsDistanceBetweenPoints |
Move by Distance between Points. |
OptionsRadialDistance |
Move by Radial Distance. |
OptionsPointToPoint | |
OptionsRotateByThreePoints |
Move by Rotate by Three Points. |
OptionsAlignAxisVector |
Move by Align Axis to Vector. |
OptionsCsysToCsys |
Move by CSYS to CSYS. |
OptionsDynamic |
Move by Dynamic. |
OptionsDeltaXyz |
Move by delta XYZ. |
OptionsNone |
No move. |
NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::AlignVector | ( | ) |
Returns the axis of GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlAlongCurveAngle* NXOpen::GeometricUtilities::ModlMotion::AlongCurveAngle | ( | ) |
Returns the alongCurveAngle of GeometricUtilities::ModlMotion::OptionsAlongCurveAngle motion option.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::Angle | ( | ) |
Returns the angle of GeometricUtilities::ModlMotion::OptionsAngle motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::AngularAxis | ( | ) |
Returns the angular axis of GeometricUtilities::ModlMotion::OptionsAngle motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlMotion::Delta NXOpen::GeometricUtilities::ModlMotion::DeltaEnum | ( | ) |
Returns the delta enum
Created in NX6.0.2.
License requirements : None
double NXOpen::GeometricUtilities::ModlMotion::DeltaX | ( | ) |
Returns the delta x
Obtain the expression using GeometricUtilities::ModlMotion::DeltaXc to query or edit it.
Created in NX6.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaXc | ( | ) |
Returns the delta xc
Created in NX7.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ModlMotion::DeltaY | ( | ) |
Returns the delta y
Obtain the expression using GeometricUtilities::ModlMotion::DeltaYc to query or edit it.
Created in NX6.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaYc | ( | ) |
Returns the delta yc
Created in NX7.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ModlMotion::DeltaZ | ( | ) |
Returns the delta z
Obtain the expression using GeometricUtilities::ModlMotion::DeltaZc to query or edit it.
Created in NX6.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaZc | ( | ) |
Returns the delta zc
Created in NX7.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlDistanceAngle* NXOpen::GeometricUtilities::ModlMotion::DistanceAngle | ( | ) |
Returns the distance-angle of GeometricUtilities::ModlMotion::OptionsDistanceAngle motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsDistance | ( | ) |
Returns the distance of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsMeasurePoint | ( | ) |
Returns the measure point of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsOriginDistance | ( | ) |
Returns the distance between origin point and face of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsOriginPoint | ( | ) |
Returns the origin point of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsVector | ( | ) |
Returns the direction of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceValue | ( | ) |
Returns the distance value of GeometricUtilities::ModlMotion::OptionsDistance motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::DistanceVector | ( | ) |
Returns the direction of GeometricUtilities::ModlMotion::OptionsDistance motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::EndPoint | ( | ) |
Returns the end point of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::GeometricUtilities::ModlMotion::FromCsys | ( | ) |
Returns the "from csys" of GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option .
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::FromPoint | ( | ) |
Returns the "from point" of GeometricUtilities::ModlMotion::OptionsPointToPoint motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Matrix3x3 NXOpen::GeometricUtilities::ModlMotion::ManipulatorMatrix | ( | ) |
Returns the matrix of manipulator for GeometricUtilities::ModlMotion::OptionsDynamic motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::GeometricUtilities::ModlMotion::ManipulatorOrigin | ( | ) |
Returns the origin point of manipulator for GeometricUtilities::ModlMotion::OptionsDynamic motion option.
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::ModlMotion::MoveHandle | ( | ) |
Returns the move handle toggle of GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle.
If false, moves both manipulator handle and object.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlMotion::Options NXOpen::GeometricUtilities::ModlMotion::Option | ( | ) |
Returns the options.
Control the Motion methods.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::GeometricUtilities::ModlMotion::OrientXpress | ( | ) |
Returns the orientXpress.
OrientXpress used as overlay in Motion.
Created in NX6.0.0.
License requirements : None
NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::RadialAxis | ( | ) |
Returns the axis of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::RadialDistance | ( | ) |
Returns the distance value of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::RadialMeasurePoint | ( | ) |
Returns the measure point of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::RadialOriginDistance | ( | ) |
Returns the distance between axis point and face of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ModlMotion::ResetMotionToThreeDimensions | ( | ) |
Reset motion to three dimensions
Created in NX6.0.0.
License requirements : None
NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::RotateVector | ( | ) |
Returns the direction of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ModlMotion::SetAlignVector | ( | NXOpen::Axis * | alignVector | ) |
Sets the axis of GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
alignVector | alignvector |
void NXOpen::GeometricUtilities::ModlMotion::SetAngularAxis | ( | NXOpen::Axis * | angularAxis | ) |
Sets the angular axis of GeometricUtilities::ModlMotion::OptionsAngle motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
angularAxis | angularaxis |
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaEnum | ( | NXOpen::GeometricUtilities::ModlMotion::Delta | deltaEnum | ) |
Sets the delta enum
Created in NX6.0.2.
License requirements : None
deltaEnum | deltaenum |
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaX | ( | double | deltaX | ) |
Sets the delta x
Obtain the expression using GeometricUtilities::ModlMotion::DeltaXc to query or edit it.
Created in NX6.0.2.
License requirements : None
deltaX | deltax |
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaY | ( | double | deltaY | ) |
Sets the delta y
Obtain the expression using GeometricUtilities::ModlMotion::DeltaYc to query or edit it.
Created in NX6.0.2.
License requirements : None
deltaY | deltay |
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaZ | ( | double | deltaZ | ) |
Sets the delta z
Obtain the expression using GeometricUtilities::ModlMotion::DeltaZc to query or edit it.
Created in NX6.0.2.
License requirements : None
deltaZ | deltaz |
void NXOpen::GeometricUtilities::ModlMotion::SetDependentView | ( | NXOpen::View * | view | ) |
Set the view for view dependent drafting objects
Created in NX7.5.0.
License requirements : None
view | view where to paste |
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsMeasurePoint | ( | NXOpen::Point * | measurePoint | ) |
Sets the measure point of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
measurePoint | measurepoint |
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsOriginPoint | ( | NXOpen::Point * | originPoint | ) |
Sets the origin point of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
originPoint | originpoint |
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsVector | ( | NXOpen::Direction * | vector | ) |
Sets the direction of GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
vector | vector |
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceVector | ( | NXOpen::Direction * | distanceVector | ) |
Sets the direction of GeometricUtilities::ModlMotion::OptionsDistance motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
distanceVector | distancevector |
void NXOpen::GeometricUtilities::ModlMotion::SetEndPoint | ( | NXOpen::Point * | endPoint | ) |
Sets the end point of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
endPoint | endpoint |
void NXOpen::GeometricUtilities::ModlMotion::SetFromCsys | ( | NXOpen::CoordinateSystem * | fromcsys | ) |
Sets the "from csys" of GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
fromcsys | fromcsys |
void NXOpen::GeometricUtilities::ModlMotion::SetFromPoint | ( | NXOpen::Point * | fromPoint | ) |
Sets the "from point" of GeometricUtilities::ModlMotion::OptionsPointToPoint motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
fromPoint | frompoint |
void NXOpen::GeometricUtilities::ModlMotion::SetManipulatorMatrix | ( | const NXOpen::Matrix3x3 & | manipulatorMatrix | ) |
Sets the matrix of manipulator for GeometricUtilities::ModlMotion::OptionsDynamic motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
manipulatorMatrix | manipulatormatrix |
void NXOpen::GeometricUtilities::ModlMotion::SetManipulatorOrigin | ( | const NXOpen::Point3d & | manipulatorOrigin | ) |
Sets the origin point of manipulator for GeometricUtilities::ModlMotion::OptionsDynamic motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
manipulatorOrigin | manipulatororigin |
void NXOpen::GeometricUtilities::ModlMotion::SetMotionToTwoDimensions | ( | NXOpen::Plane * | plane | ) |
Set motion to two dimensions along the given plane
Created in NX6.0.0.
License requirements : None
plane | Plane to which motion needs to be restricted |
void NXOpen::GeometricUtilities::ModlMotion::SetMoveHandle | ( | bool | moveHandle | ) |
Sets the move handle toggle of GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle.
If false, moves both manipulator handle and object.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
moveHandle | movehandle |
void NXOpen::GeometricUtilities::ModlMotion::SetOption | ( | NXOpen::GeometricUtilities::ModlMotion::Options | type | ) |
Sets the options.
Control the Motion methods.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
type | type |
void NXOpen::GeometricUtilities::ModlMotion::SetRadialAxis | ( | NXOpen::Axis * | radialAxis | ) |
Sets the axis of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
radialAxis | radialaxis |
void NXOpen::GeometricUtilities::ModlMotion::SetRadialMeasurePoint | ( | NXOpen::Point * | radialMeasuPoint | ) |
Sets the measure point of GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
radialMeasuPoint | radialmeasupoint |
void NXOpen::GeometricUtilities::ModlMotion::SetRotateVector | ( | NXOpen::Axis * | rotateVector | ) |
Sets the direction of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
rotateVector | rotatevector |
void NXOpen::GeometricUtilities::ModlMotion::SetStartPoint | ( | NXOpen::Point * | startPoint | ) |
Sets the start point of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
startPoint | startpoint |
void NXOpen::GeometricUtilities::ModlMotion::SetToCsys | ( | NXOpen::CoordinateSystem * | tocsys | ) |
Sets the "to csys" where object is moved for motion option GeometricUtilities::ModlMotion::OptionsCsysToCsys .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
tocsys | tocsys |
void NXOpen::GeometricUtilities::ModlMotion::SetToPoint | ( | NXOpen::Point * | toPoint | ) |
Sets the point where object is moved for motion option GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
toPoint | topoint |
void NXOpen::GeometricUtilities::ModlMotion::SetToVector | ( | NXOpen::Direction * | toVector | ) |
Sets the vector of GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
toVector | tovector |
void NXOpen::GeometricUtilities::ModlMotion::SetUpdateOption | ( | NXOpen::SmartObject::UpdateOption | option | ) |
Set the update option for defining the update behavior for the object.
As an example, in modeling application, the update option should be "WithinModeling" and in drafting application it should be "AfterModeling".
Created in NX6.0.0.
License requirements : None
option | Update option |
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::StartPoint | ( | ) |
Returns the start point of GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.
Created in NX6.0.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::GeometricUtilities::ModlMotion::ToCsys | ( | ) |
Returns the "to csys" where object is moved for motion option GeometricUtilities::ModlMotion::OptionsCsysToCsys .
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::ToPoint | ( | ) |
Returns the point where object is moved for motion option GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::ToVector | ( | ) |
Returns the vector of GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.